require "zlib"

File.open("Data/xIseq.rxdata", "rb") do |f|
  two = Marshal.load(f)
  puts two # :)

  iseqs = []
  zlibed_iseqs = Marshal.load(f)
  zlibed_iseqs.each { |zlibed_iseq| iseqs << Zlib::Inflate.inflate(zlibed_iseq) }

  $assembled_iseqs = []
  iseqs.each do |iseq|
    iseq = RubyVM::InstructionSequence.load_from_binary(iseq)
    $assembled_iseqs << iseq
    iseq.eval
  end
end
